package com.ibtp.kontor.tradingcards.dal;

import com.ibtp.kontor.dal.BaseImpl;
import com.ibtp.kontor.tradingcards.entity.PlayerEntity;

import java.util.Collection;
import java.util.List;

/**
 * Created by tpeetz on 27.01.2015.
 */
public class PlayerImpl extends BaseImpl implements PlayerDao {

    @Override
    public PlayerEntity getById(Long id) {
        return null;
    }

    @Override
    public Collection<PlayerEntity> findByIds(List<Long> ids) {
        return null;
    }

    @Override
    public Collection<PlayerEntity> findByName(String name) {
        return null;
    }

    @Override
    public PlayerEntity addPlayer(String name) {
        return null;
    }

    @Override
    public PlayerEntity store(PlayerEntity entity) {
        return null;
    }

    @Override
    public void delete(PlayerEntity entity) {

    }
}
